//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by FernFlower decompiler)
//

package com.tiptimes.service.impl;

import com.tiptimes.dao.UserDao;
import com.tiptimes.dao.UserLoginDao;
import com.tiptimes.model.UserLogin;
import com.tiptimes.model.UserModel;
import com.tiptimes.service.UserService;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

@Service
@Transactional
public class UserServiceImpl implements UserService {
    @Autowired
    private UserDao userDao;
    @Autowired
    private UserLoginDao userLoginDao;

    public UserServiceImpl() {
    }

    public List<UserModel> getAllUser() {
        List<UserModel> list = this.userDao.getAllUser();
        return list;
    }

    @Transactional
    public void saveUserLogin(UserLogin userLogin) {
        this.userLoginDao.saveUserLogin(userLogin);
    }

    @Transactional
    public void updateUserLogin(UserLogin userLogin) {
        this.userLoginDao.updateUserLogin(userLogin);
    }

    @Transactional
    public void updateUserLoginRealNameByRealID(String realID, String realName) {
        List<UserLogin> userLogin_list = this.userLoginDao.listUserLoginByRealID(realID);
        if (userLogin_list.size() != 0) {
            UserLogin userLogin = (UserLogin)userLogin_list.get(0);
            userLogin.setRealName(realName);
            this.userLoginDao.updateUserLogin(userLogin);
        }

    }

    public UserLogin getUserLoginByUserAccount(String userAccount) {
        List<UserLogin> userLogin_list = this.userLoginDao.listUserLoginByUserAccount(userAccount);
        return userLogin_list.size() == 0 ? null : (UserLogin)userLogin_list.get(0);
    }

    public List<UserLogin> getUserLoginByAuthority(int Authority) {
        List<UserLogin> userLogin_list = this.userLoginDao.listUserLoginByAuthority(Authority);
        return userLogin_list.size() == 0 ? null : userLogin_list;
    }

    public List<UserLogin> listUserLoginBySpaceMessageID(String spaceMessageID) {
        List<UserLogin> userLogin_list = this.userLoginDao.listUserLoginBySpaceMessageID(spaceMessageID);
        return userLogin_list.size() == 0 ? null : userLogin_list;
    }

    public UserLogin listUserLoginByKey(String key) {
        List<UserLogin> userLogin_list = this.userLoginDao.listUserLoginByKey(key);
        return userLogin_list.size() == 0 ? null : (UserLogin)userLogin_list.get(0);
    }

    public UserLogin listUserLoginByRealID(String realID) {
        List<UserLogin> userLogin_list = this.userLoginDao.listUserLoginByRealID(realID);
        return userLogin_list.size() == 0 ? null : (UserLogin)userLogin_list.get(0);
    }

    public UserLogin listUserLoginByUserID(String userID) {
        List<UserLogin> userLogin_list = this.userLoginDao.listUserLoginByUserID(userID);
        return userLogin_list.size() == 0 ? null : (UserLogin)userLogin_list.get(0);
    }
}
